#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,cs,e,o=0;
    scanf("%d",&n);
    if (n<2)
    {
        return 0;
    }
    int a[n];
    for (int i=0;i<n;i++)
    {
        scanf("%d",&a[1*i]);
        if (a[1*i]==10)
        {
            return 0;
        }
    }
    if (a[0]==0)
    {
        return 0;
    }
    for (int i=0;i<n;i++)
    {
        o=o+a[i*1];
    }
    if (o<n-1)
    {
        return 0;
    }
    else
        {
            cs=a[n-2];
            a[n-2]=a[n-1];
            a[n-1]=cs;
            printf("%d ",a[n-n],a[n-n+1]);
            e=n-n;
            for (int i=1;i<n;i++)
            {
                e++;
                printf("%d ",a[e]);
            }
        }
    return 0;
}